<template name="eventEditVenue">
  <div class="mb-3">
    <label class="form-label">
      {{i18n 'course.event.edit.location' 'Venue'}}
      <small>{{i18n '_inputField.optional'}}</small>
    </label>
    <p>
      <em class="text-body-secondary">
        {{i18n 'event.edit.location.info' 'You can search the venues, choose from the recently used, click on the map, or create a new venue.'}}
      </em>
    </p>
    <div class="row">
      <div class="col-md-7">
        {{#if locationIsPreset}}
          <div class="event-edit-location-selected">
            <span class="fa-solid fa-location-dot fa-fw" aria-hidden="true"></span>
            {{> venueLink venue=location openInNewTab=true}}
            {{#if location.address}}
              <div class="event-edit-location-address">
                {{location.address}}
              </div>
            {{/if}}
            {{#if location.editor}}
              <div class="event-edit-location-contact">
                {{i18n 'event.editVenue.pleaseContactHost' 'Please contact the host of this venue to check for availability and other details:'}}
                <a href="{{hostProfileLink}}" target="_blank">
                  <span class="fa-solid fa-paper-plane fa-fw" aria-hidden="true"></span>
                  {{i18n 'event.editVenue.contactHost' 'Contact host'}}
                </a>
              </div>
            {{/if}}
          </div>
          <button type="button" class="btn btn-edit js-location-change location-change-btn">
            {{i18n 'event.edit.locationChange' "Change venue"}}
          </button>
        {{else}}
          <div class="input-group event-edit-location-searchbar">
            <input type="text" class="form-control js-location-search-input"
                   placeholder="{{i18n 'event.edit.locationNamePlaceholder' 'Address or name of venue' attr=true}}"
                   value="{{location.name}}" />
            <button type="submit" class="btn btn-go js-location-search-btn">
              {{i18n 'event.edit.addressSearch' "Search"}}
            </button>
          </div>
          {{#if searching}}
            <input type="text" class="form-control js-location-address-search"
                   placeholder="{{i18n 'event.edit.locationAddressPlaceholder' 'Address' attr=true}}"
                   size="40" value="{{location.address}}" />
          {{/if}}
          {{#if haveLocationCandidates}}
            {{#if searching}}
              {{i18n 'event.edit.locations.proposed' 'Matching locations:'}}
            {{else}}
              {{i18n 'event.edit.locations.previouslyUsed' 'Recently used locations:'}}
            {{/if}}
            <ul class="event-edit-location-candidates">
              {{#each locationCandidates}}
                <li class='event-edit-location-candidate js-location-candidate {{hoverClass}}'>
                  {{name}}
                  <div class="address">{{address}}</div>
                </li>
              {{/each}}
            </ul>
          {{else}}
            <p>
              {{i18n 'event.edit.locations.foundnone' 'No locations found.'}}
            </p>
            <p>
              {{i18n 'profile.createNewVenue.question' 'Are you responsible for this venue?'}}
              <a href="{{pathFor 'venueDetails' _id='create'}}"
                 target="_blank">{{i18n 'profile.createNewVenue.linkText' 'Set up a venue that is visible to others and can be reused.'}}</a>
            </p>
          {{/if}}
        {{/if}}
      </div>
      <div class="col-md-5 event-edit-location-map">
        {{> map markers=eventMarkers allowPlacing=allowPlacing allowRemoving=allowRemoving}}
      </div>
    </div>
  </div>
</template>
